package com.ruoyi.quotation.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 海运价格查询日志记录对象 t_seaprice_query_log
 * 
 * @author frank
 * @date 2021-07-16
 */
public class TSeapriceQueryLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long fId;

    /** 起始港ID */
    @Excel(name = "起始港ID")
    private Long fPortOriginId;

    /** 目的港ID */
    @Excel(name = "目的港ID")
    private Long fPortDestinationId;

    /** 中转港ID */
    @Excel(name = "中转港ID")
    private Long fPortTransitId;

    /** 起始港名称 */
    private String fPortOriginName;

    /** 目的港名称 */
    private String fPortDestinationName;

    /** 中转港名称 */
    private String fPortTransitName;

    public String getfPortOriginName() {
        return fPortOriginName;
    }

    public void setfPortOriginName(String fPortOriginName) {
        this.fPortOriginName = fPortOriginName;
    }

    public String getfPortDestinationName() {
        return fPortDestinationName;
    }

    public void setfPortDestinationName(String fPortDestinationName) {
        this.fPortDestinationName = fPortDestinationName;
    }

    public String getfPortTransitName() {
        return fPortTransitName;
    }

    public void setfPortTransitName(String fPortTransitName) {
        this.fPortTransitName = fPortTransitName;
    }

    /** 查询价格开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "查询价格开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fValiddateBegin;

    /** 查询价格结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "查询价格结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fValiddateEnd;

    /** 查询用户ID */
    @Excel(name = "查询用户ID")
    private Long fUserId;

    /** 查询时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "查询时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fQueryDatetime;

    /** 是否删除(1删除,0未删除) */
    @Excel(name = "是否删除(1删除,0未删除)")
    private String fDelFlag;

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfPortOriginId(Long fPortOriginId) 
    {
        this.fPortOriginId = fPortOriginId;
    }

    public Long getfPortOriginId() 
    {
        return fPortOriginId;
    }
    public void setfPortDestinationId(Long fPortDestinationId) 
    {
        this.fPortDestinationId = fPortDestinationId;
    }

    public Long getfPortDestinationId() 
    {
        return fPortDestinationId;
    }
    public void setfPortTransitId(Long fPortTransitId) 
    {
        this.fPortTransitId = fPortTransitId;
    }

    public Long getfPortTransitId() 
    {
        return fPortTransitId;
    }
    public void setfValiddateBegin(Date fValiddateBegin) 
    {
        this.fValiddateBegin = fValiddateBegin;
    }

    public Date getfValiddateBegin() 
    {
        return fValiddateBegin;
    }
    public void setfValiddateEnd(Date fValiddateEnd) 
    {
        this.fValiddateEnd = fValiddateEnd;
    }

    public Date getfValiddateEnd() 
    {
        return fValiddateEnd;
    }
    public void setfUserId(Long fUserId) 
    {
        this.fUserId = fUserId;
    }

    public Long getfUserId() 
    {
        return fUserId;
    }
    public void setfQueryDatetime(Date fQueryDatetime) 
    {
        this.fQueryDatetime = fQueryDatetime;
    }

    public Date getfQueryDatetime() 
    {
        return fQueryDatetime;
    }
    public void setfDelFlag(String fDelFlag) 
    {
        this.fDelFlag = fDelFlag;
    }

    public String getfDelFlag() 
    {
        return fDelFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fPortOriginId", getfPortOriginId())
            .append("fPortDestinationId", getfPortDestinationId())
            .append("fPortTransitId", getfPortTransitId())
            .append("fValiddateBegin", getfValiddateBegin())
            .append("fValiddateEnd", getfValiddateEnd())
            .append("fUserId", getfUserId())
            .append("fQueryDatetime", getfQueryDatetime())
            .append("fDelFlag", getfDelFlag())
            .toString();
    }
}
